module test

    implicit none

contains

subroutine foo (x)

    integer, intent(inout) :: x

    interface
      subroutine bar (y)
        integer, intent(inout) :: y
      end subroutine bar
    end interface

    call bar(x)

end subroutine foo

end module test
